Skip to main content


1 reply [Last post]
Joined: 2007-07-06

I can compile the JXME-CDC code but running the demo examples give the following errors - anyone else experienced these:

~# /root/cdc/bin/cvm -classpath .:jxme-cdc.jar:log4j_stub.jar:log4j.jar ChatDemo
java.lang.VerifyError: (class: net.jxta.platform.ConfigurationFactory, method: ()V)Incompatible argument to function
at ChatDemo.startJxta(Unknown Source)
at ChatDemo.main(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at sun.misc.CVM.runMain(Unknown Source)


Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
Joined: 2007-07-06

Does anyone at least know what version of Java CDC and FP is JXME-CDC intended to run under cause I cannot find this anywhere on its web site. It seems that the errors I am getting may be due to the fact that I am trying to run these demos on PhoneME Advanced (which is practically an enhanced version of J2ME CDC) and FP 1.1. I am surprised that it is not working on that.

Thanks again